Subdivide mesh into more segment?

hi guys!

i have a mesh-surface and want it to have more respectively less segments.
i made this mesh in a specific way cause it is a study project, and i had to use this scripts.

but i dont know how i can make the surface more/less segment with 2 parameters for the 2 directions.

i am looking for the shortest way to do that cause i should not change the scripts to much.
here 2 pictures for better understanding:

and my python script:

33.gh (13.1 KB)

hopefully greets :wink:

Hi Pilipp,

in your first python component, you created a mesh from the sweep surface using:

mesh = Rhino.Geometry.Mesh.CreateFromBrep(sweepBrep)

Instead of doing this, you can get control of the mesh UV density by using the mesh UV component. First set the output in your first python component to output the sweepSurface instead of the mesh, no need to output or create the mesh from the brep:

# not required:
# mesh = Rhino.Geometry.Mesh.CreateFromBrep(sweepBrep)

# new output
geometry = sweepBrep

then use the component to create a UV Mesh as shown in the picture below.

does this help ?

c.

thank you verry much clement!

this was exactly what i am looking for!!
it helps me a lot!